/**
 * blanche conseiller d'essence, inc. Copyright 2006-, all rights reserved.
 *
 * $Id: TestAppFrame.java,v 1.0, 2006-05-18 11:10:45Z, Ryosuke Iwata$
 * $Revision: 1$
 * $Date: 2006/05/18 20:10:45$
 * $Author: Ryosuke Iwata$$
 */
package gffktest.client;

import java.awt.*;
import javax.swing.*;

import gffktest.session.*;
import java.awt.BorderLayout;
import java.awt.event.ActionEvent;


/**
 * @author $Author: Ryosuke Iwata$
 * @version $Revision: 1$ - $Date: 2006/05/18 20:10:45$
 */
public class TestAppFrame
    extends JFrame {

    public TestAppFrame() {
        try {
            setDefaultCloseOperation(EXIT_ON_CLOSE);
            jbInit();
        } catch (Exception exception) {
            exception.printStackTrace();
        }
        testButton.addActionListener(new TestButtonAction());
    }

    /**
     * @throws java.lang.Exception
     */
    private void jbInit() throws Exception {
        contentPane = (JPanel) getContentPane();
        contentPane.setLayout(borderLayout1);
        setSize(new Dimension(400, 300));
        setTitle("GlassFish Foreign Key Test Application");
        testButton.setText("Push Me To Test");
        contentPane.add(testButton, java.awt.BorderLayout.CENTER);
    }

    private void doTest() {
        try {
            getMySessionBean().doTest();
        } catch (Exception e) {
            JOptionPane.showMessageDialog(this, e.getMessage(), "Error", JOptionPane.ERROR_MESSAGE);
            e.printStackTrace();
        }
    }

    public void setMySessionBean(TestSession mySessionBean) {
        this.mySessionBean = mySessionBean;
    }

    public TestSession getMySessionBean() {
        return mySessionBean;
    }

    private JPanel contentPane;
    private BorderLayout borderLayout1 = new BorderLayout();
    private TestSession mySessionBean;
    private JButton testButton = new JButton();

    private class TestButtonAction
        extends AbstractAction {
        /**
         * Defines an <code>Action</code> object with a default description
         * string and default icon.
         */
        public TestButtonAction() {
        }

        /**
         * Invoked when an action occurs.
         *
         * @param e ActionEvent
         */
        public void actionPerformed(ActionEvent e) {
            doTest();
        }
    }
}
