/**
 * blanche conseiller d'essence, inc. Copyright 2006-, all rights reserved.
 *
 * $Id: TestSessionImpl.java,v 1.0, 2006-05-18 11:10:47Z, Ryosuke Iwata$
 * $Revision: 1$
 * $Date: 2006/05/18 20:10:47$
 * $Author: Ryosuke Iwata$$
 */
package gffktest.session;

import javax.ejb.*;
import javax.persistence.*;
import gffktest.entity.*;


/**
 * @author $Author: Ryosuke Iwata$
 * @version $Revision: 1$ - $Date: 2006/05/18 20:10:47$
 */
@Stateful
    public class TestSessionImpl
    implements TestSession {
    public TestSessionImpl() {
    }

    public void doTest() {
        Program p = new Program();
        p.setTitle("Foo");
        em.persist(p);
        em.flush();
        //
        ContractTerms terms = new ContractTerms();
        terms.setProgram(p);
        em.persist(terms);
        em.flush(); // <-- Here, exception was thrown.
    }

    @PersistenceContext(
        type = PersistenceContextType.EXTENDED
        )
        private EntityManager em;
}
